[debian-edu-commits] r79871 - in branches/wheezy/debian-edu-config: debian testsuite
pere at alioth.debian.org
pere at alioth.debian.org
Wed May 1 08:41:10 UTC 2013
Author: pere
Date: 2013-05-01 08:41:10 +0000 (Wed, 01 May 2013)
New Revision: 79871
Added:
branches/wheezy/debian-edu-config/testsuite/automount
Modified:
branches/wheezy/debian-edu-config/debian/changelog
Log:
Add new testsuite test automount, to make it easier to debug autofs problems on clients.
Modified: branches/wheezy/debian-edu-config/debian/changelog
===================================================================
--- branches/wheezy/debian-edu-config/debian/changelog 2013-05-01 06:29:28 UTC (rev 79870)
+++ branches/wheezy/debian-edu-config/debian/changelog 2013-05-01 08:41:10 UTC (rev 79871)
@@ -4,6 +4,8 @@
* Make d-i hook to increase entropy when running low more robust
and get it to log any error messages to syslog. Also make sure
it check the entropy level more often.
+ * Add new testsuite test automount, to make it easier to debug
+ autofs problems on clients.
-- Petter Reinholdtsen <pere at debian.org> Wed, 01 May 2013 08:27:43 +0200
Added: branches/wheezy/debian-edu-config/testsuite/automount
===================================================================
--- branches/wheezy/debian-edu-config/testsuite/automount (rev 0)
+++ branches/wheezy/debian-edu-config/testsuite/automount 2013-05-01 08:41:10 UTC (rev 79871)
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+
+success() { echo "success: $0:" $@; }
+error() { echo "error: $0:" $@; }
+
+# Automount is not used on the Main-Server and Standalone profiles
+if echo "$PROFILE" | egrep -q 'Main-Server|Standalone' ; then
+ exit 0
+fi
+
+if pidof automount > /dev/null ; then
+ success "automount is running."
+else
+ error "automount is not running."
+ exit 1
+fi
+
+# Try to visit the default home directory, to verify that it exist and
+# trigger autofs to mount it.
+if cd /skole/tjener/home0/ ; then
+ success "directory /skole/tjener/home0/ exist"
+ if grep -q /skole/tjener/home0 /proc/mounts ; then
+ success "mount point /skole/tjener/home0/ exist."
+ fi
+else
+ error "unable to cd into /skole/tjener/home0/ (is DNS name of this machine in required netgroup?)"
+fi
Property changes on: branches/wheezy/debian-edu-config/testsuite/automount
___________________________________________________________________
Added: svn:executable
+ *
More information about the debian-edu-commits
mailing list